OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.QueryUtils.VertexAttrib

Description

# Documentation

newtype AttribLocation Source

Constructors

AttribLocation GLuint |

Instances

Eq AttribLocation |
Ord AttribLocation |
Show AttribLocation |

data GetVertexAttribPName Source

Constructors

GetVertexAttribArrayEnabled |
GetVertexAttribArraySize |
GetVertexAttribArrayStride |
GetVertexAttribArrayType |
GetVertexAttribArrayNormalized |
GetCurrentVertexAttrib |
GetVertexAttribArrayBufferBinding |
GetVertexAttribArrayInteger |

getVertexAttribInteger1 :: (GLint -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

getVertexAttribEnum1 :: (GLenum -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

getVertexAttribBoolean1 :: (GLboolean -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

getVertexAttribFloat4 :: (GLfloat -> GLfloat -> GLfloat -> GLfloat -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

getVertexAttribIInteger4 :: (GLint -> GLint -> GLint -> GLint -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

getVertexAttribIuInteger4 :: (GLuint -> GLuint -> GLuint -> GLuint -> b) -> AttribLocation -> GetVertexAttribPName -> IO bSource

data GetVertexAttribPointerPName Source

Constructors

VertexAttribArrayPointer |

getVertexAttribPointer :: AttribLocation -> GetVertexAttribPointerPName -> IO (Ptr a)Source